|  | Home · All Classes · Modules

# QShowEvent Class Reference
[QtGui module]

The QShowEvent class provides an event that is sent when a widget is shown. More...

Inherits QEvent.

### Methods

- __init__ (self)
- __init__ (self, QShowEvent)

## Detailed Description

The QShowEvent class provides an event that is sent when a widget is shown.

There are two kinds of show events: show events caused by the window system (spontaneous), and internal show events. Spontaneous (QEvent.spontaneous()) show events are sent just after the window system shows the window; they are also sent when a top-level window is redisplayed after being iconified. Internal show events are delivered just before the widget becomes visible.

See also QHideEvent.

## Method Documentation

### QShowEvent.__init__ (self)

Constructs a QShowEvent.

### QShowEvent.__init__ (self, QShowEvent)